 SUBROUTINE user_define_netcdf_grid( variable, found, grid_x, grid_y, grid_z )

!------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! Former file user_interface.f90 split into one file per subroutine
!
! Former revisions:
! -----------------
! $Id: user_define_netcdf_grid.f90 211 2008-11-11 04:46:24Z raasch $
!
! Description:
! ------------
! Set the grids on which user-defined output quantities are defined.
! Allowed values for grid_x are "x" and "xu", for grid_y "y" and "yv", and
! for grid_z "zu" and "zw".
!------------------------------------------------------------------------------!

    USE user

    IMPLICIT NONE

    CHARACTER (LEN=*) ::  grid_x, grid_y, grid_z, variable

    LOGICAL ::  found


    SELECT CASE ( TRIM( variable ) )

!
!--    Uncomment and extend the following lines, if necessary
!       CASE ( 'u2', 'u2_xy', 'u2_xz', 'u2_yz' )
!          grid_x = 'xu'
!          grid_y = 'y'
!          grid_z = 'zu'

!       CASE ( 'u*v*', 'u*v*_xy', 'u*v*_xz', 'u*v*_yz' )
!          grid_x = 'x'
!          grid_y = 'y'
!          grid_z = 'zu'

       CASE DEFAULT
          found  = .FALSE.
          grid_x = 'none'
          grid_y = 'none'
          grid_z = 'none'

    END SELECT


 END SUBROUTINE user_define_netcdf_grid

